pcl::TransformationFromCorrespondences Class Reference
Module common

Calculates a transformation based on corresponding 3D points. More...

`#include <pcl/common/transformation_from_correspondences.h>`

## Public Member Functions

| TransformationFromCorrespondences ()
| Constructor - dimension gives the size of the vectors to work with. More...
| ~TransformationFromCorrespondences ()
| Destructor. More...
void | reset ()
| Reset the object to work with a new data set. More...
float | getAccumulatedWeight () const
| Get the summed up weight of all added vectors. More...
unsigned int | getNoOfSamples ()
| Get the number of added vectors. More...
void | add (const Eigen::Vector3f &point, const Eigen::Vector3f &corresponding_point, float weight=1.0)
| Add a new sample. More...
Eigen::Affine3f | getTransformation ()
| Calculate the transformation that will best transform the points into their correspondences. More...

## Protected Attributes

unsigned int | no_of_samples_
float | accumulated_weight_
Eigen::Vector3f | mean1_
Eigen::Vector3f | mean2_
Eigen::Matrix< float, 3, 3 > | covariance_

## Detailed Description

Calculates a transformation based on corresponding 3D points.

Author
  Bastian Steder

Definition at line 49 of file transformation_from_correspondences.h.

## Constructor & Destructor Documentation

pcl::TransformationFromCorrespondences::TransformationFromCorrespondences | ( |  | ) |

inline

Constructor - dimension gives the size of the vectors to work with.

Definition at line 54 of file transformation_from_correspondences.h.

References reset().

pcl::TransformationFromCorrespondences::~TransformationFromCorrespondences | ( |  | ) |

inline

Destructor.

Definition at line 62 of file transformation_from_correspondences.h.

References reset().

## Member Function Documentation

void pcl::TransformationFromCorrespondences::add | ( | const Eigen::Vector3f & | point,
|  | const Eigen::Vector3f & | corresponding_point,
|  | float | weight = `1.0`
| ) |  |

inline

Add a new sample.

Definition at line 53 of file transformation_from_correspondences.hpp.

References accumulated_weight_, covariance_, mean1_, mean2_, and no_of_samples_.

Referenced by getNoOfSamples(), and pcl::tracking::PyramidalKLTTracker< PointInT, IntensityT >::track().

float pcl::TransformationFromCorrespondences::getAccumulatedWeight | ( |  | ) | const

inline

Get the summed up weight of all added vectors.

Definition at line 71 of file transformation_from_correspondences.h.

References accumulated_weight_.

unsigned int pcl::TransformationFromCorrespondences::getNoOfSamples | ( |  | ) |

inline

Get the number of added vectors.

Definition at line 75 of file transformation_from_correspondences.h.

References add(), getTransformation(), and no_of_samples_.

Eigen::Affine3f pcl::TransformationFromCorrespondences::getTransformation | ( |  | ) |

inline

Calculate the transformation that will best transform the points into their correspondences.

Definition at line 72 of file transformation_from_correspondences.hpp.

References covariance_, mean1_, and mean2_.

Referenced by getNoOfSamples(), and pcl::tracking::PyramidalKLTTracker< PointInT, IntensityT >::track().

void pcl::TransformationFromCorrespondences::reset | ( |  | ) |

inline

Reset the object to work with a new data set.

Definition at line 42 of file transformation_from_correspondences.hpp.

References accumulated_weight_, covariance_, mean1_, mean2_, and no_of_samples_.

Referenced by TransformationFromCorrespondences(), and ~TransformationFromCorrespondences().

## Member Data Documentation

float pcl::TransformationFromCorrespondences::accumulated_weight_

protected

Definition at line 91 of file transformation_from_correspondences.h.

Referenced by add(), getAccumulatedWeight(), and reset().

Eigen::Matrix<float, 3, 3> pcl::TransformationFromCorrespondences::covariance_

protected

Definition at line 93 of file transformation_from_correspondences.h.

Referenced by add(), getTransformation(), and reset().

Eigen::Vector3f pcl::TransformationFromCorrespondences::mean1_

protected

Definition at line 92 of file transformation_from_correspondences.h.

Referenced by add(), getTransformation(), and reset().

Eigen::Vector3f pcl::TransformationFromCorrespondences::mean2_

protected

Definition at line 92 of file transformation_from_correspondences.h.

Referenced by add(), getTransformation(), and reset().

unsigned int pcl::TransformationFromCorrespondences::no_of_samples_

protected

Definition at line 90 of file transformation_from_correspondences.h.

Referenced by add(), getNoOfSamples(), and reset().

The documentation for this class was generated from the following files:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/common/transformation_from_correspondences.h
- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/common/impl/transformation_from_correspondences.hpp